Hakila Docs
Images

列出生圖模型與能力

格式同 OpenRouter `GET /api/v1/images/models`,已套用組織 ∩ API Key 允許清單。 `supported_parameters` 是每個參數的描述子(`enum` 給允許值、`range` 給上下限、`boolean` 表示支援); 沒列出的參數代表不支援。所有模型都接受 `stream: true`。

GET/v1/images/models

格式同 OpenRouter GET /api/v1/images/models,已套用組織 ∩ API Key 允許清單。 supported_parameters 是每個參數的描述子(enum 給允許值、range 給上下限、boolean 表示支援); 沒列出的參數代表不支援。所有模型都接受 stream: true。

Authorization

bearerAuth
AuthorizationBearer <token>

在 Authorization 標頭帶入 Workspace API Key: Authorization: Bearer sk-hakila-...

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/images/models"
{  "data": [    {      "id": "google/gemini-3.1-flash-image",      "name": "Google: Nano Banana 2 (Gemini 3.1 Flash Image)",      "architecture": {        "input_modalities": [          "text",          "image"        ],        "output_modalities": [          "image"        ]      },      "supported_parameters": {        "resolution": {          "type": "enum",          "values": [            "512",            "1K",            "2K",            "4K"          ]        },        "aspect_ratio": {          "type": "enum",          "values": [            "1:1",            "16:9",            "9:16"          ]        },        "n": {          "type": "range",          "min": 1,          "max": 4        },        "input_references": {          "type": "range",          "min": 0,          "max": 14        }      },      "supports_streaming": true,      "endpoints": "/v1/images/models/google/gemini-3.1-flash-image/endpoints"    }  ]}